API ReferenceProvider schedules
Create provider schedule
Create a new provider schedule.
Authorization
authorization AuthorizationBearer <token>
In: header
Path Parameters
provider_id*string
Provider ID
Request Body
application/json
Provider schedule params
TypeScript Definitions
Use the request body type in TypeScript.
Request schema for creating a provider schedule.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/providers/string/schedules" \ -H "Content-Type: application/json" \ -d '{ "effective_from": "2025-01-01", "effective_to": "2025-12-31", "public_bookings": { "enabled": true }, "time_zone": "America/New_York", "weekly_rules": [ { "day": "mo", "end_time": "17:00", "start_time": "09:00" } ] }'{ "data": { "created_at": "2025-02-17T17:49:19Z", "effective_from": "2025-01-01", "effective_to": "2025-12-31", "id": "psch_d025a96ac0c6", "object": "provider_schedule", "public_bookings": { "enabled": true }, "time_zone": "America/New_York", "updated_at": "2025-02-17T17:49:19Z", "weekly_rules": [ { "day": "mo", "end_time": "17:00", "start_time": "09:00" } ] }}